### Hierarchy

- unknown
  - AddConnectionRequest

## Index

### Constructors

- constructor

### Methods

- clearConnection
- getConnection
- hasConnection
- serializeBinary
- setConnection
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new AddConnectionRequest(): AddConnectionRequest

- Inherited from jspb.Message.constructor

  #### Returns AddConnectionRequest

## Methods

### clearConnection

- clearConnection(): AddConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:819

  #### Returns AddConnectionRequest

### getConnection

- getConnection(): undefined | UrlConnection

- - Defined in src/protobuf/grpc_pb.d.ts:816

  #### Returns undefined | UrlConnection

### hasConnection

- hasConnection(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:818

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:821

  #### Returns Uint8Array

### setConnection

- setConnection(value?: UrlConnection ): AddConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:817

  #### Parameters

  - ##### Optional value: UrlConnection

  #### Returns AddConnectionRequest

### toObject

- toObject(includeInstance?: boolean): AddConnectionRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:822

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns AddConnectionRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): AddConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:825

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AddConnectionRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AddConnectionRequest, reader: BinaryReader): AddConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:826

  #### Parameters

  - ##### message: AddConnectionRequest

  - ##### reader: BinaryReader

  #### Returns AddConnectionRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: AddConnectionRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:824

  #### Parameters

  - ##### message: AddConnectionRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: AddConnectionRequest ): AddConnectionRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:823

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AddConnectionRequest

  #### Returns AddConnectionRequest . AsObject

Generated using TypeDoc